from __future__ import with_statement
import cPickle
import sqlite3
import datetime
import time
import os
import es

addonpath = es.getAddonPath('bansaver')
dbpath_new = os.path.join(addonpath, 'banned.sql')
dbpath_old = os.path.join(addonpath, 'banned_user.db')


def conv():
	es.dbgmsg(0, 'Started Converting database!')
	with open(dbpath_old, 'rb') as dbf:
		try:
			old_data = cPickle.load(dbf)
		except:
			es.dbgmsg(0, 'Converting Database failed.')
			
		else:
			sql_db = sqlite3.connect(dbpath_new)
			sql_cur.cursor()
			
			sql_cur.execute("CREATE TABLE IF NOT EXISTS banned_user (steamid TEXT UNIQUE, ip TEXT UNIQUE, expiredate REAL)")
			
			for v in old_data['steamids']:
				sql_cur.execute("INSERT INTO banned_user(steamid, expiredate) VALUES(?, ?)", (v, time.mktime(old_data['steamids'][v]['expiredate'].timetuple())))
				
			sql_db.commit()
	es.dbgmsg(0, 'Ended Converting Database')
					
					
					
if os.path.isfile(dbpath_old):
	conv()
else:
	es.dbgmsg(0, 'Unable to convert Data, old Database does not exist')
	

es.dbgmsg(0, 'Thanks for using BanSaver! You can post recommendations on Eventscripts Forums for this Addon right here:')
es.dbgmsg(0, 'http://forums.eventscripts.com/viewtopic.php?f=27&t=36471')
es.dbgmsg(0, 'Please delete now the following Directory from your server:')
es.dbgmsg(0, os.path.dirname(__file__))
es.dbgmsg(0, '-----')

es.unload('bansaver_databaseconverter')